#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 11. General Utilities

- Prev

  telepathy-mission-control-5.16.6

- Next

  Time-1.9

- Up
- Home

# tidy-html5-5.8.0

## Introduction to Tidy HTML5

The Tidy HTML5 package contains a command line tool and libraries used to read HTML, XHTML and XML files and write cleaned up markup. It detects and corrects many common coding errors and strives to produce visually equivalent markup that is both W3C compliant and compatible with most browsers.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://github.com/htacg/tidy-html5/archive/5.8.0/tidy-html5-5.8.0.tar.gz

- Download MD5 sum: 0f6c55ef651e258adbe5750f555af50f

- Download size: 992 KB

- Estimated disk space required: 11 MB

- Estimated build time: 0.2 SBU

### Tidy HTML5 Dependencies

#### Required

CMake-3.22.2

#### Recommended

libxslt-1.1.35

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/tidy

## Installation of Tidy HTML5

Install Tidy HTML5 by running the following commands:

    cd build/cmake &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr \
          -DCMAKE_BUILD_TYPE=Release  \
          -DBUILD_TAB2SPACE=ON        \
          ../..    &&

    make

This package does not come with a test suite.

Now, as the `root` user:

    make install &&
    rm -fv /usr/lib/libtidy.a &&
    install -v -m755 tab2space /usr/bin

## Command Explanations

`-DCMAKE_BUILD_TYPE=Release`: This switch is used to build the release library without any debug `assert` in the code.

`-DBUILD_TAB2SPACE=ON`: This switch is used to enable building the tab2space utility.

## Configuring Tidy HTML5

###

#### Config Files

The absolute path of the file specified in `HTML_TIDY`.

###

#### Configuration Information

The default configuration options can be set in the file defined in `HTML_TIDY`. Additional configuration options can be passed to tidy via command line parameters or the `-config <file>` parameter.

## Contents

Installed Programs: tab2space and tidy
Installed Library: libtidy.so
Installed Directory: /usr/share/doc/tidy-5.8.0

### Short Descriptions

tab2space | is a utility to expand tabs and ensure consistent line endings
tidy | validates, corrects, and pretty-prints HTML files
`libtidy.so` | library provides the Tidy HTML5 API functions to tidy and can also be called by other programs

Last updated on

- Prev

  telepathy-mission-control-5.16.6

- Next

  Time-1.9

- Up
- Home